#!/usr/bin/perl -w

use strict;

my %pizza_prices = (
	"small"		=>	6,
	"medium"	=>	8,
	"medium"	=>	10,
);

my %pasta_prices = (
	"small"		=>	4,
	"medium"	=>	5,
	"large"		=>	7,
);

my %milkshake_prices = (
	"small"		=>	2,
	"medium"	=>	3,
	"large"		=>	4,
);

# original, hash reference way...

my %food_prices = (
	"pizza"		=>	\%pizza_prices,
	"pasta"		=>	\%pasta_prices,
	"milkshakes"	=>	\%milkshake_prices,
);

# and here's how we do the one with anonymous hashes

my %anon_food_prices = (
	"pizza"		=>	{
					"small"		=>	6,
					"medium"	=>	8,
					"medium"	=>	10,
				},

	"pasta"		=>	{
					"small"		=>	4,
					"medium"	=>	5,
					"large"		=>	7,
				},

	"milkshakes"	=>	{
					"small"		=>	2,
					"medium"	=>	3,
					"large"		=>	4,
				},
);
			   
# add an element...

$anon_food_prices{"salad"} = {
	"small"		=>	3,
	"medium"	=>	5,
	"large"		=>	7,
};


