#!/usr/bin/perl -w

use strict;

# a single part of the IP address looks like this...
my $pattern = "((2[0-4][0-9])|(25[0-5])|(1[0-9]{2})|([1-9][0-9])|([0-9]))";

while (<>) {
	if (m/^$pattern\.$pattern\.$pattern\.$pattern$/) {
		print "IP number matched.\n";
	} else {
		print "That's not an IP number.\n";
	}
}

#
# here's how we'd actually do it
#

my @elements = split(/\./, $ipnumber);

die "Wrong number of elements" if @elements != 4;

foreach (@elements) {
	if ($_ > 255 or $_ < 0 or $_ =~ /\D/) {
		die "Element $_ is invalid";
	}
}

print "IP number is OK";

