#!/usr/bin/perl -w 

# let's not use strict yet - you'll see why soon

@array = qw(this is an array of words);

print "Simple case:\n";
foreach (@array) {
	print "$_\n";
}

# this makes it less punctuation-y

print "Using a real name:\n";
foreach $element (@array) {
	print "$element\n";
}

# but that doesn't pass the strict pragma's requirements, because we've
# brought $element into existence without declaring it

# initialising $element outside the foreach loop makes it global

print "Strictness, with intialisation outside the loop:\n";
my $element;		
foreach $element (@array) {
	print "$element\n";
}

# initialising $element in the foreach statement makes $element local
# to the foreach block

print "Strictness, with intialisation inside the loop:\n";
foreach my $element (@array) {
	print "$element\n";
}

# this last example is odd to read, and doesn't necessarily make much
# sense.  Rest assured, however, that it is the correct syntax.
